Exposes the print interfaces just like the Print Dialog (File->Print...) in UI.
Exemple #1
0
 public void Revert()
 {
     try
     {
         m_viewSheetSetting.Revert();
     }
     catch (Exception ex)
     {
         PrintMgr.MyMessageBox(ex.Message);
     }
 }
Exemple #2
0
 public void Revert()
 {
     try
     {
         m_printMgr.PrintSetup.Revert();
     }
     catch (Exception ex)
     {
         PrintMgr.MyMessageBox(ex.Message);
     }
 }
Exemple #3
0
 private void okButton_Click(object sender, EventArgs e)
 {
     try
     {
         m_printMgr.SubmitPrint();
     }
     catch (Exception)
     {
         PrintMgr.MyMessageBox("Print Failed");
     }
 }
Exemple #4
0
 public bool Rename(string name)
 {
     try
     {
         return(m_printMgr.PrintSetup.Rename(name));
     }
     catch (Exception ex)
     {
         PrintMgr.MyMessageBox(ex.Message);
         return(false);
     }
 }
Exemple #5
0
 public bool SaveAs(string newName)
 {
     try
     {
         return(m_printMgr.PrintSetup.SaveAs(newName));
     }
     catch (Exception ex)
     {
         PrintMgr.MyMessageBox(ex.Message);
         return(false);
     }
 }
Exemple #6
0
 public bool Delete()
 {
     try
     {
         return(m_printMgr.PrintSetup.Delete());
     }
     catch (Exception ex)
     {
         PrintMgr.MyMessageBox(ex.Message);
         return(false);
     }
 }
Exemple #7
0
 public bool Delete()
 {
     try
     {
         return(m_viewSheetSetting.Delete());
     }
     catch (Exception ex)
     {
         PrintMgr.MyMessageBox(ex.Message);
         return(false);
     }
 }
Exemple #8
0
        public PrintMgrForm(PrintMgr printMgr)
        {
            if (null == printMgr)
            {
                throw new ArgumentNullException("printMgr");
            }
            else
            {
                m_printMgr = printMgr;
            }

            InitializeComponent();
        }
Exemple #9
0
        public PrintMgrForm(PrintMgr printMgr)
        {
            if (null == printMgr)
            {
                throw new ArgumentNullException("printMgr");
            }
            else
            {
                m_printMgr = printMgr;
            }

            InitializeComponent();
        }
Exemple #10
0
        private void userDefinedMarginYTextBox_TextChanged(object sender, EventArgs e)
        {
            double doubleValue;

            if (!double.TryParse(userDefinedMarginYTextBox.Text, out doubleValue))
            {
                PrintMgr.MyMessageBox("Invalid input");
                return;
            }
            m_printSetup.UserDefinedMarginY = doubleValue;

            if (!revertButton.Enabled)
            {
                revertButton.Enabled = true;
            }
        }
Exemple #11
0
        /// <summary>
        /// Implement this method as an external command for Revit.
        /// </summary>
        /// <param name="commandData">An object that is passed to the external application
        /// which contains data related to the command,
        /// such as the application object and active view.</param>
        /// <param name="message">A message that can be set by the external application
        /// which will be displayed if a failure or cancellation is returned by
        /// the external command.</param>
        /// <param name="elements">A set of elements to which the external application
        /// can add elements that are to be highlighted in case of failure or cancellation.</param>
        /// <returns>Return the status of the external command.
        /// A result of Succeeded means that the API external method functioned as expected.
        /// Cancelled can be used to signify that the user cancelled the external operation
        /// at some point. Failure should be returned if the application is unable to proceed with
        /// the operation.</returns>
        public Autodesk.Revit.UI.Result Execute(ExternalCommandData commandData,
                                                ref string message, Autodesk.Revit.DB.ElementSet elements)
        {
            Autodesk.Revit.DB.Transaction newTran = null;
            try
            {
                newTran = new Autodesk.Revit.DB.Transaction(commandData.Application.ActiveUIDocument.Document, "ViewPrinter");
                newTran.Start();

                PrintMgr pMgr = new PrintMgr(commandData);

                if (null == pMgr.InstalledPrinterNames)
                {
                    PrintMgr.MyMessageBox("No installed printer, the external command can't work.");
                    return(Autodesk.Revit.UI.Result.Cancelled);
                }

                using (PrintMgrForm pmDlg = new PrintMgrForm(pMgr))
                {
                    if (pmDlg.ShowDialog() != DialogResult.Cancel)
                    {
                        newTran.Commit();
                        return(Autodesk.Revit.UI.Result.Succeeded);
                    }
                    newTran.RollBack();
                }
            }
            catch (Exception ex)
            {
                if (null != newTran)
                {
                    newTran.RollBack();
                }
                message = ex.ToString();
                return(Autodesk.Revit.UI.Result.Failed);
            }

            return(Autodesk.Revit.UI.Result.Cancelled);
        }
Exemple #12
0
        /// <summary>
        /// Implement this method as an external command for Revit.
        /// </summary>
        /// <param name="commandData">An object that is passed to the external application 
        /// which contains data related to the command, 
        /// such as the application object and active view.</param>
        /// <param name="message">A message that can be set by the external application 
        /// which will be displayed if a failure or cancellation is returned by 
        /// the external command.</param>
        /// <param name="elements">A set of elements to which the external application 
        /// can add elements that are to be highlighted in case of failure or cancellation.</param>
        /// <returns>Return the status of the external command. 
        /// A result of Succeeded means that the API external method functioned as expected. 
        /// Cancelled can be used to signify that the user cancelled the external operation 
        /// at some point. Failure should be returned if the application is unable to proceed with 
        /// the operation.</returns>
        public Autodesk.Revit.UI.Result Execute(ExternalCommandData commandData,
        ref string message, Autodesk.Revit.DB.ElementSet elements)
        {
            Autodesk.Revit.DB.Transaction newTran = null;
            try
            {
                newTran = new Autodesk.Revit.DB.Transaction(commandData.Application.ActiveUIDocument.Document, "ViewPrinter");
                newTran.Start();

                PrintMgr pMgr = new PrintMgr(commandData);

                if (null == pMgr.InstalledPrinterNames)
                {
                    PrintMgr.MyMessageBox("No installed printer, the external command can't work.");
                    return Autodesk.Revit.UI.Result.Cancelled;
                }

                using (PrintMgrForm pmDlg = new PrintMgrForm(pMgr))
                {
                    if (pmDlg.ShowDialog() != DialogResult.Cancel)
                    {
                        newTran.Commit();
                        return Autodesk.Revit.UI.Result.Succeeded;
                    }
                    newTran.RollBack();
                }

            }
            catch (Exception ex)
            {
                if (null != newTran)
                    newTran.RollBack();
                message = ex.ToString();
                return Autodesk.Revit.UI.Result.Failed;
            }

            return Autodesk.Revit.UI.Result.Cancelled;
        }